2018-12-17 05:35 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005448Talerauditorpublic2018-11-04 17:40
ReporterFlorian Dold 
Assigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005448: auditor should provide list of audited exchanges
DescriptionThis allows the merchants to automatically register with all exchanges audited by one auditor.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013293

Christian Grothoff (manager)

auditordb now has a list of exchanges. API specification also exists. Next steps:
(1) implement HTTPD logic to list exchanges
(2) implement command-line tool to add/delete exchange to/from the list
(3) extend DB schema with foreign key constraints to ensure auditor only
    audits exchanges on the list, also enables auditor GC by deleting exchange!
(4) use by merchants will be a _separate_ issue!

~0013294

Christian Grothoff (manager)

Last edited: 2018-10-28 12:03

View 2 revisions

(1) is now done, but we might still want to have libtalerauditor support as well.

~0013296

Christian Grothoff (manager)

libtalerauditor support now exists (af416245..a5708065)

~0013313

Christian Grothoff (manager)

taler-auditor-exchange command-line tool to add/remove exchanges from the list now exists. Testing and (3) are still missing.

~0013314

Christian Grothoff (manager)

126e3911..33441042 adds the foreign key constraint.

What is still missing is an automated test involving taler-auditor-httpd.
+Notes

-Issue History
Date Modified Username Field Change
2018-09-28 10:47 Florian Dold New Issue
2018-09-28 10:47 Florian Dold Status new => assigned
2018-09-28 10:47 Florian Dold Assigned To => Christian Grothoff
2018-10-06 15:08 Christian Grothoff Severity minor => feature
2018-10-28 11:43 Christian Grothoff Note Added: 0013293
2018-10-28 12:03 Christian Grothoff Note Added: 0013294
2018-10-28 12:03 Christian Grothoff Note Edited: 0013294 View Revisions
2018-10-28 16:45 Christian Grothoff Note Added: 0013296
2018-11-03 21:32 Christian Grothoff Note Added: 0013313
2018-11-04 11:00 Christian Grothoff Note Added: 0013314
2018-11-04 17:40 Christian Grothoff Status assigned => resolved
2018-11-04 17:40 Christian Grothoff Resolution open => fixed
2018-11-04 17:40 Christian Grothoff Fixed in Version => 0.6
2018-11-04 17:40 Christian Grothoff Product Version => SVN HEAD
2018-11-04 17:40 Christian Grothoff Target Version => 0.6
+Issue History